KYC Metrics
Операций: 6
ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
limit?integerMax items (1-50, default 10)
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Activity items
*/*- response
data?array<>success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyc/metrics/activity' \ -H 'X-Timestamp: string'{ "success": true, "data": [ { "id": "string", "message": "string", "metadata": { "property1": null, "property2": null }, "session_id": "string", "timestamp": "string", "type": "session_created" } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
period?string7d, 30d, 90d, 12m
flow_id?stringFilter by flow UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Chart data
*/*- response
data?array<>success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyc/metrics/chart' \ -H 'X-Timestamp: string'{ "success": true, "data": [ { "approved": 0, "date": "string", "pending": 0, "rejected": 0, "total": 0 } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
period?string7d, 30d, 90d, 12m
flow_id?stringFilter by flow UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
CSV file
response?stringtext/csvcurl -X GET 'https://api.onekyc.io/tenant/v1/kyc/metrics/export' \ -H 'X-Timestamp: string'"string"ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
period?string7d, 30d, 90d, 12m
flow_id?stringFilter by flow UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Funnel steps
*/*- response
data?array<>success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyc/metrics/funnel' \ -H 'X-Timestamp: string'{ "success": true, "data": [ { "count": 0, "dropoff": 0, "label": "string", "percentage": 0, "step": 0 } ]}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Realtime stats
*/*- response
data?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyc/metrics/realtime' \ -H 'X-Timestamp: string'{ "success": true, "data": { "active_sessions": 0, "average_time_last_hour": 0, "completed_last_hour": 0, "error_rate_last_hour": 0, "failed_last_hour": 0, "pending_review": 0, "sessions_last_hour": 0 }}ApiKeyAuthAuthorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
period?string7d, 30d, 90d, 12m (default 30d)
flow_id?stringFilter by flow UUID
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Stats
*/*- response
data?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyc/metrics/stats' \ -H 'X-Timestamp: string'{ "success": true, "data": { "approval_rate": 0, "approval_rate_change": 0, "avg_processing_time": 0, "avg_processing_time_change": 0, "completed_verifications": 0, "completed_verifications_change": 0, "pending_reviews": 0, "total_sessions": 0, "total_sessions_change": 0 }}